import dash
import dash_bootstrap_components as dbc
import dash_html_components as html
import socket
import arvados
import functools
from .projects import list_projects_html
from .collections import list_collections_html


def main():
    app = dash.Dash(__name__, external_stylesheets=[dbc.themes.BOOTSTRAP])
    arv = arvados.api('v1')

    user = arv.users().current().execute()

    # nav_btns = [ dbc.Button(a['name']) for a in projects ]
    projects_table = list_projects_html(arv, user['uuid'])
    collections_table = list_collections_html(arv, user['uuid'])

    app.layout = html.Div([
        html.H5('Projects'),
        projects_table,
        html.H5('Collections'),
        collections_table
    ], style={ 'margin': '10px' })

    app.run_server(host=socket.getfqdn(), debug=True)


main()
